Eclipse neon2 在多版本JDK环境下运行方法

 

1、JDK版本:jdk1.7.0_67、jdk1.8.0_102(之前开发一直是使用JDK 1.7,因为向使用Eclipse neon2 所以才安装了JDK1.8)


 

发现问题及过程:

          安装好JDK 1.8之后,成功运行Eclipse neon2。

解决的问题就是Eclipse 启动的问题了,按照以往的经验,可以在 eclipse.ini文件中增加-vm参数,但是和以往Eclipse版本不同,此次修改一直未成功;

2、在网上查了一上午,也没有一个明确的方案确定修改Eclipse配置参数并且能解决neon2环境下问题的,最后还是决定尝试给Eclipse 快捷键添加启动参数的方式,将快捷键目标属性值设置为:C:\Users\dell\eclipse\jee-neon\eclipse\eclipse.exe -vm "C:\Program Files\Java\jdk1.8.0_102\bin\javaw.exe",再次启动Eclipse,终于成功!